package com.dlsm.controller;

import com.dlsm.utils.Result;
import com.dlsm.model.AffiliationMatter;
import com.dlsm.service.AffiliationService;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.text.ParseException;
import java.util.Map;


@CrossOrigin
@Controller
@RequestMapping("/Affiliation")
public class AffiliationController {

    @Autowired
    private AffiliationService  affiliationService;

    /**
     * 信访问题归属分析
     */
    @GetMapping("/Affiliation")
    @ResponseBody
    public Result LetterList(AffiliationMatter affiliationMatter) throws ParseException {
        Map<Object, Object> map = affiliationService.AffiliationList(affiliationMatter);
        Result result=new Result();
        result.setData(map);
       return result;
}}