package com.dlsm.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 信访问题归属分析 所用到的字段
 */

public class AffiliationMatter {

    /**登录的单位id*/
    private String  UserId;

    /**开始时间*/
    @DateTimeFormat(pattern ="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date startTime;

    /**结束时间*/
    @DateTimeFormat(pattern ="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date  endTime;

    /**活动办理结束时间*/
    @DateTimeFormat(pattern ="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date createTime;

    /** 记录活动开始时间 */
    @DateTimeFormat(pattern ="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date time;
    /*** 创建单位ID*/
    private Integer createOrgID;

    /**信访问题发生所属系统 */
    private String belongs;

    /**所属系统编号 */
    private String belongsID;

    /** 问题发生地址*/
    private String happenRegion;

    /** 问题属地编号*/
    private String happenRegionID;

    /**各级的数量*/
    private Integer num;

    /**总量*/
    private Integer sum;

    /**总量*/
    private String  XzName;

    /** 创建单位的多个*/
    private String  createOrgIDS;

    /**信访登记类型编号*/
    private String  registerTypeID;

    /**单位名称 做打印单位用*/
    private String  orgName;

    public Integer getCreateOrgID() {
        return createOrgID;
    }

    public void setCreateOrgID(Integer createOrgID) {
        this.createOrgID = createOrgID;
    }

    public String getBelongs() {
        return belongs;
    }

    public void setBelongs(String belongs) {
        this.belongs = belongs;
    }

    public String getBelongsID() {
        return belongsID;
    }

    public void setBelongsID(String belongsID) {
        this.belongsID = belongsID;
    }

    public String getHappenRegion() {
        return happenRegion;
    }

    public void setHappenRegion(String happenRegion) {
        this.happenRegion = happenRegion;
    }

    public String getHappenRegionID() {
        return happenRegionID;
    }

    public void setHappenRegionID(String happenRegionID) {
        this.happenRegionID = happenRegionID;
    }

    public String getUserId() {
        return UserId;
    }

    public void setUserId(String userId) {
        UserId = userId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getTime() {
        return time;
    }

    public void setTime(Date time) {
        this.time = time;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getSum() {
        return sum;
    }

    public void setSum(Integer sum) {
        this.sum = sum;
    }

    public String getXzName() {
        return XzName;
    }

    public void setXzName(String xzName) {
        XzName = xzName;
    }

    public String getCreateOrgIDS() {
        return createOrgIDS;
    }

    public void setCreateOrgIDS(String createOrgIDS) {
        this.createOrgIDS = createOrgIDS;
    }

    public String getRegisterTypeID() {
        return registerTypeID;
    }

    public void setRegisterTypeID(String registerTypeID) {
        this.registerTypeID = registerTypeID;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}
