package com.dlsm.model;


import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;


public class Dept {

    /** 部门id */
    private Long id;

    /** 部门名称 */
    private String deptName;

    /** 祖籍列表 */
    private String ancestors;

    /** 父级id */
    private Integer parentID;

    /** 层级 */
    private Integer type;

    /** 简称 */
    private String jc;

    /** 行政地区编码 */
    private String regionAdminNo;

    /** 排序 */
    private Integer orderNum;

    /** 字典表AB的value */
    private String dictValue;

    /** 经度 */
    private float longitude;

    /** 纬度 */
    private float latitude;

    /** 创建者 */
    private String createPerson;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 组织Id */
    private  Integer organizationId;

    /** 组织名称 */
    private  String orgName;

    /**部门id*/
    private  Integer deptID;
    /** 组织名称 */
    private  String orgDeptName;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    public Integer getParentID() {
        return parentID;
    }

    public void setParentID(Integer parentID) {
        this.parentID = parentID;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getJc() {
        return jc;
    }

    public void setJc(String jc) {
        this.jc = jc;
    }

    public String getRegionAdminNo() {
        return regionAdminNo;
    }

    public void setRegionAdminNo(String regionAdminNo) {
        this.regionAdminNo = regionAdminNo;
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getDictValue() {
        return dictValue;
    }

    public void setDictValue(String dictValue) {
        this.dictValue = dictValue;
    }

    public float getLongitude() {
        return longitude;
    }

    public void setLongitude(float longitude) {
        this.longitude = longitude;
    }

    public float getLatitude() {
        return latitude;
    }

    public void setLatitude(float latitude) {
        this.latitude = latitude;
    }

    public String getCreatePerson() {
        return createPerson;
    }

    public void setCreatePerson(String createPerson) {
        this.createPerson = createPerson;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Integer getOrganizationId() {
        return organizationId;
    }

    public void setOrganizationId(Integer organizationId) {
        this.organizationId = organizationId;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }

    public Integer getDeptID() {
        return deptID;
    }

    public void setDeptID(Integer deptID) {
        this.deptID = deptID;
    }

    public String getOrgDeptName() {
        return orgDeptName;
    }

    public void setOrgDeptName(String orgDeptName) {
        this.orgDeptName = orgDeptName;
    }
}
