package com.dlsm.model;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class Label {

    /** id */
    private Long id;

    /** 名称 */
    private String name;

    /** 创建者id */
    private String creatorID;

    /** 创建者姓名 */
    private Integer creatorName;

    /** 组织名称 */
    private Integer orgName;

    /** 组织id */
    private Long orgID;

    /** 创建时间 */
    private Date time;

    /** 修改时间 */
    private Date updatetime;

    /** 是否删除标志 */
    private Integer del;

    /** 标签类型1个人标签，2热点标签 */
    private Integer type;


}
