package com.dlsm.model;


import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;


import java.util.Date;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: tjl
 * @Date: 2022/03/25/10:10
 * @Description:
 */

public class Person {

    private Integer  id;
    /**姓名*/
    private String  name ;
    /**性别*/
    private String   sex;
    /**出生日期*/
    @JsonFormat(pattern = "yyyy-MM-dd", timezone ="GMT+8")
    private Date birthday;
    @JsonFormat(pattern = "yyyy-MM-dd", timezone ="GMT+8")
    private String birthday1;

    public String getBirthday1() {
        return birthday1;
    }

    public void setBirthday1(String birthday1) {
        this.birthday1 = birthday1;
    }

    /**证件类型*/
    private  String IDType;
    /**证件号码*/
    private String IDNumber;
    /**证件号码*/
    private  String identity;
    /**国家和地区*/
    private String nationality;
    /**民族*/
    private String nation;
    /**身份证所属地区*/
    private String idCardRegion;
    /**身份证详细地址*/
    private String idCardAddress;
    /**户口所在地*/
    private String domicile;
//    户口所在地编号
    private String domicileId;

    //创建时间
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getDomicileId() {
        return domicileId;
    }

    public void setDomicileId(String domicileId) {
        this.domicileId = domicileId;
    }

    /**现住地址所属地区*/
    private String addressRegion;
    /**学历*/
    private String education;
    /**现住详细地址*/
    private String address;
    /**政治身份*/
    private String political;
    /**'职业'*/
    private String  profession;
    /**''工作单位''*/
    private String  company;
    /**''手机''*/
    private String  mobilePhone ;
    /**微信*/
    private String  weChat ;
    /**固定电话*/
    private String  telephone ;
    /**QQ*/
    private String  qq ;
    /**通讯地址*/
    private String  postal ;
    /**邮政编码*/
    private String  postCode ;
    /**''备注''*/
    private String  remark;
    /**''是否代表''*/
    private String  isRepresent  ;
    /**''是否贫困户''*/
    private String  isPoor  ;
    /**''是否退役军人''*/
    private String  isEXserviceman ;
    /**''是否重点群体''*/
    private String  isFocusGroup ;
    /**''是否重点人员''*/
    private String  isFocusPerson ;
    /**''创建人员''*/
    private String  createPerson ;
    /**''创建人账号''*/
    private String  createAccount ;
    /**''创建单位''*/
    private String  createOrg;
    /**''单位''*/
    private String  unit ;
    /**''职位''*/
    private String  position ;
    /**家庭成员*/
    private String  personFamily ;
    /**初重*/
    private String  visit ;
    /**首次类型、时间*/
    private String  registerTypecreateTime ;
    private Integer isAnonymous;//是否匿名

    /** 行政区划code */
    private String postalRegionID;

    /** 行政区划value */
    private String postalRegion;


    public String getPostalRegionID() {
        return postalRegionID;
    }

    public void setPostalRegionID(String postalRegionID) {
        this.postalRegionID = postalRegionID;
    }

    public String getPostalRegion() {
        return postalRegion;
    }

    public void setPostalRegion(String postalRegion) {
        this.postalRegion = postalRegion;
    }



    public Integer getIsAnonymous() {
        return isAnonymous;
    }

    public void setIsAnonymous(Integer isAnonymous) {
        this.isAnonymous = isAnonymous;
    }

    public String getRegisterTypecreateTime() {
        return registerTypecreateTime;
    }

    public void setRegisterTypecreateTime(String registerTypecreateTime) {
        this.registerTypecreateTime = registerTypecreateTime;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Date getBirthday() {
        return birthday;
    }

    public void setBirthday(Date birthday) {
        this.birthday = birthday;
    }

    public String getIDType() {
        return IDType;
    }

    public void setIDType(String IDType) {
        this.IDType = IDType;
    }

    public String getIDNumber() {
        return IDNumber;
    }

    public void setIDNumber(String IDNumber) {
        this.IDNumber = IDNumber;
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity;
    }

    public String getNationality() {
        return nationality;
    }

    public void setNationality(String nationality) {
        this.nationality = nationality;
    }

    public String getNation() {
        return nation;
    }

    public void setNation(String nation) {
        this.nation = nation;
    }

    public String getIdCardRegion() {
        return idCardRegion;
    }

    public void setIdCardRegion(String idCardRegion) {
        this.idCardRegion = idCardRegion;
    }

    public String getIdCardAddress() {
        return idCardAddress;
    }

    public void setIdCardAddress(String idCardAddress) {
        this.idCardAddress = idCardAddress;
    }

    public String getDomicile() {
        return domicile;
    }

    public void setDomicile(String domicile) {
        this.domicile = domicile;
    }

    public String getAddressRegion() {
        return addressRegion;
    }

    public void setAddressRegion(String addressRegion) {
        this.addressRegion = addressRegion;
    }

    public String getEducation() {
        return education;
    }

    public void setEducation(String education) {
        this.education = education;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPolitical() {
        return political;
    }

    public void setPolitical(String political) {
        this.political = political;
    }

    public String getProfession() {
        return profession;
    }

    public void setProfession(String profession) {
        this.profession = profession;
    }

    public String getCompany() {
        return company;
    }

    public void setCompany(String company) {
        this.company = company;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getIsRepresent() {
        return isRepresent;
    }

    public void setIsRepresent(String isRepresent) {
        this.isRepresent = isRepresent;
    }

    public String getIsPoor() {
        return isPoor;
    }

    public void setIsPoor(String isPoor) {
        this.isPoor = isPoor;
    }

    public String getIsEXserviceman() {
        return isEXserviceman;
    }

    public void setIsEXserviceman(String isEXserviceman) {
        this.isEXserviceman = isEXserviceman;
    }

    public String getIsFocusGroup() {
        return isFocusGroup;
    }

    public void setIsFocusGroup(String isFocusGroup) {
        this.isFocusGroup = isFocusGroup;
    }

    public String getIsFocusPerson() {
        return isFocusPerson;
    }

    public void setIsFocusPerson(String isFocusPerson) {
        this.isFocusPerson = isFocusPerson;
    }

    public String getCreatePerson() {
        return createPerson;
    }

    public void setCreatePerson(String createPerson) {
        this.createPerson = createPerson;
    }

    public String getCreateAccount() {
        return createAccount;
    }

    public void setCreateAccount(String createAccount) {
        this.createAccount = createAccount;
    }

    public String getCreateOrg() {
        return createOrg;
    }

    public void setCreateOrg(String createOrg) {
        this.createOrg = createOrg;
    }

    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getWeChat() {
        return weChat;
    }

    public void setWeChat(String weChat) {
        this.weChat = weChat;
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone;
    }

    public String getQq() {
        return qq;
    }

    public void setQq(String qq) {
        this.qq = qq;
    }

    public String getPostal() {
        return postal;
    }

    public void setPostal(String postal) {
        this.postal = postal;
    }

    public String getPostCode() {
        return postCode;
    }

    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

    public String getPersonFamily() {
        return personFamily;
    }

    public String getVisit() {
        return visit;
    }

    public void setVisit(String visit) {
        this.visit = visit;
    }

    public void setPersonFamily(String personFamily) {
        this.personFamily = personFamily;
    }
}
