package com.dlsm.model.dto;

import com.dlsm.model.Matter;

/**
 *
 */
public class MatterDto extends Matter {

    private String registerType;
    private String registerTypeID;
    private String isleapfrog;
    private String abnormalID;
    private String relationID;
    /**姓名*/
    private String name;
    /**联系方式(手机号)*/
    private String mobilePhone;
    /**证件类型*/
    private String IDType;
    /**证件号码*/
    private String IDNumber;
    /**所属地区*/
    private String idCardRegion;
    /**详细地址*/
    private String idCardAddress;
    /**现住址*/
    private String address;
    /**反映内容摘要*/
    private String abstractName;
    /**人大受理范围 0 受理  1 不受理*/
    private String isAcceptName;

    /**最近反映时间*/
    private String lastcreateTimeName;
    /**最近录入单位*/
    private String lastcreateOrg;
    /**曾来访*/
    private String sameNum;
    /**来信*/
    private String letterNum;
    /**网上反映*/
    private String internet;
    /**电话反映*/
    private String phoneNum;
    /**累计反映*/
    private String sum;
    /**县人大登记*/
    private String countyNum;
    /**市人大登记*/
    private String cityNum;
    /**省人大登记*/
    private String provinceNum;
    /**曾异常访*/
    private String oneabnormalSum;
    /**越级访*/
    private String isleapfrogNum;
    /**非指定场所访*/
    private String notbelongNum;
    /**行为异常访*/
    private String abnormalNum;
    /**曾携带危险器械、物品*/
    private String riskNum;
    /**扬言信*/
    private String threatenNum;
    /**网上扬言投诉*/
    private String netcomplainNum;
    /**电话扬言投诉*/
    private String phonecomplainNum;
    /**累计异常信访*/
    private String abnormalSum;
    /** 省市县*/
    private Integer type;
    /**是否异常 0正常1异常*/
    private Integer isAbnormal;
    /**曾交办*/
    private String assignNum;
    /**转送*/
    private String passNum;
    /**累计办理*/
    private String newabstractName;
    /**县人大办理*/
    private String countytransactSum;
    /**市人大办理*/
    private String citytransactNum;
    /**省人大办理*/
    private String provincetransactNum;
    /**1是人大，0不是，2审判机关，3检察机关，4纪检监察，0行政机关*/
    private Integer isRenDa;
    /**人大常委会代理机构设置为1*/
    private Integer agent;
    /**首次反映时间*/
    private String createTimefirst;
    /**信访人id*/
    private String personID;
    /**共同信访人主要身份信息*/
    private String personName;
    /**信访类型编号*/
    private String xfTypeID;
    /**信访类型*/
    private String xfType;

    public Integer getIsAbnormal() {
        return isAbnormal;
    }

    public void setIsAbnormal(Integer isAbnormal) {
        this.isAbnormal = isAbnormal;
    }

    public String getRegisterType() {
        return registerType;
    }

    public void setRegisterType(String registerType) {
        this.registerType = registerType;
    }

    public String getRegisterTypeID() {
        return registerTypeID;
    }

    public void setRegisterTypeID(String registerTypeID) {
        this.registerTypeID = registerTypeID;
    }

    public String getIsleapfrog() {
        return isleapfrog;
    }

    public void setIsleapfrog(String isleapfrog) {
        this.isleapfrog = isleapfrog;
    }

    public String getAbnormalID() {
        return abnormalID;
    }

    public void setAbnormalID(String abnormalID) {
        this.abnormalID = abnormalID;
    }

    public String getRelationID() {
        return relationID;
    }

    public void setRelationID(String relationID) {
        this.relationID = relationID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobilePhone() {
        return mobilePhone;
    }

    public void setMobilePhone(String mobilePhone) {
        this.mobilePhone = mobilePhone;
    }

    public String getIDType() {
        return IDType;
    }

    public void setIDType(String IDType) {
        this.IDType = IDType;
    }

    public String getIDNumber() {
        return IDNumber;
    }

    public void setIDNumber(String IDNumber) {
        this.IDNumber = IDNumber;
    }

    public String getIdCardRegion() {
        return idCardRegion;
    }

    public void setIdCardRegion(String idCardRegion) {
        this.idCardRegion = idCardRegion;
    }

    public String getIdCardAddress() {
        return idCardAddress;
    }

    public void setIdCardAddress(String idCardAddress) {
        this.idCardAddress = idCardAddress;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getAbstractName() {
        return abstractName;
    }

    public void setAbstractName(String abstractName) {
        this.abstractName = abstractName;
    }

    public String getIsAcceptName() {
        return isAcceptName;
    }

    public void setIsAcceptName(String isAcceptName) {
        this.isAcceptName = isAcceptName;
    }


    public String getLastcreateOrg() {
        return lastcreateOrg;
    }

    public void setLastcreateOrg(String lastcreateOrg) {
        this.lastcreateOrg = lastcreateOrg;
    }

    public String getLastcreateTimeName() {
        return lastcreateTimeName;
    }

    public String getSameNum() {
        return sameNum;
    }

    public void setSameNum(String sameNum) {
        this.sameNum = sameNum;
    }

    public void setLastcreateTimeName(String lastcreateTimeName) {
        this.lastcreateTimeName = lastcreateTimeName;
    }

    public String getLetterNum() {
        return letterNum;
    }

    public void setLetterNum(String letterNum) {
        this.letterNum = letterNum;
    }

    public String getInternet() {
        return internet;
    }

    public void setInternet(String internet) {
        this.internet = internet;
    }

    public String getPhoneNum() {
        return phoneNum;
    }

    public void setPhoneNum(String phoneNum) {
        this.phoneNum = phoneNum;
    }

    public String getSum() {
        return sum;
    }

    public void setSum(String sum) {
        this.sum = sum;
    }

    public String getCountyNum() {
        return countyNum;
    }

    public void setCountyNum(String countyNum) {
        this.countyNum = countyNum;
    }

    public String getCityNum() {
        return cityNum;
    }

    public void setCityNum(String cityNum) {
        this.cityNum = cityNum;
    }

    public String getProvinceNum() {
        return provinceNum;
    }

    public void setProvinceNum(String provinceNum) {
        this.provinceNum = provinceNum;
    }

    public String getOneabnormalSum() {
        return oneabnormalSum;
    }

    public void setOneabnormalSum(String oneabnormalSum) {
        this.oneabnormalSum = oneabnormalSum;
    }

    public String getIsleapfrogNum() {
        return isleapfrogNum;
    }

    public void setIsleapfrogNum(String isleapfrogNum) {
        this.isleapfrogNum = isleapfrogNum;
    }

    public String getNotbelongNum() {
        return notbelongNum;
    }

    public void setNotbelongNum(String notbelongNum) {
        this.notbelongNum = notbelongNum;
    }

    public String getAbnormalNum() {
        return abnormalNum;
    }

    public void setAbnormalNum(String abnormalNum) {
        this.abnormalNum = abnormalNum;
    }

    public String getRiskNum() {
        return riskNum;
    }

    public void setRiskNum(String riskNum) {
        this.riskNum = riskNum;
    }

    public String getThreatenNum() {
        return threatenNum;
    }

    public void setThreatenNum(String threatenNum) {
        this.threatenNum = threatenNum;
    }

    public String getNetcomplainNum() {
        return netcomplainNum;
    }

    public void setNetcomplainNum(String netcomplainNum) {
        this.netcomplainNum = netcomplainNum;
    }

    public String getPhonecomplainNum() {
        return phonecomplainNum;
    }

    public void setPhonecomplainNum(String phonecomplainNum) {
        this.phonecomplainNum = phonecomplainNum;
    }

    public String getAbnormalSum() {
        return abnormalSum;
    }

    public void setAbnormalSum(String abnormalSum) {
        this.abnormalSum = abnormalSum;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getAssignNum() {
        return assignNum;
    }

    public void setAssignNum(String assignNum) {
        this.assignNum = assignNum;
    }

    public String getPassNum() {
        return passNum;
    }

    public void setPassNum(String passNum) {
        this.passNum = passNum;
    }

    public String getNewabstractName() {
        return newabstractName;
    }

    public void setNewabstractName(String newabstractName) {
        this.newabstractName = newabstractName;
    }

    public String getCountytransactSum() {
        return countytransactSum;
    }

    public void setCountytransactSum(String countytransactSum) {
        this.countytransactSum = countytransactSum;
    }

    public String getCitytransactNum() {
        return citytransactNum;
    }

    public void setCitytransactNum(String citytransactNum) {
        this.citytransactNum = citytransactNum;
    }

    public String getProvincetransactNum() {
        return provincetransactNum;
    }

    public void setProvincetransactNum(String provincetransactNum) {
        this.provincetransactNum = provincetransactNum;
    }

    public Integer getIsRenDa() {
        return isRenDa;
    }

    public void setIsRenDa(Integer isRenDa) {
        this.isRenDa = isRenDa;
    }

    public Integer getAgent() {
        return agent;
    }

    public void setAgent(Integer agent) {
        this.agent = agent;
    }

    public String getCreateTimefirst() {
        return createTimefirst;
    }

    public void setCreateTimefirst(String createTimefirst) {
        this.createTimefirst = createTimefirst;
    }

    public String getPersonID() {
        return personID;
    }

    public String getPersonName() {
        return personName;
    }

    public void setPersonName(String personName) {
        this.personName = personName;
    }

    public void setPersonID(String personID) {
        this.personID = personID;
    }

    public String getXfTypeID() {
        return xfTypeID;
    }

    public void setXfTypeID(String xfTypeID) {
        this.xfTypeID = xfTypeID;
    }

    public String getXfType() {
        return xfType;
    }

    public void setXfType(String xfType) {
        this.xfType = xfType;
    }
}
