package com.dlsm.model.export;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

/**
 * Created with IntelliJ IDEA.
 *  信访指标统计表
 * @Author: dzy
 * @Date: 2022/04/01/13:52
 * @Description:
 */
@Data
@ContentRowHeight(30)
@HeadRowHeight(40)
public class XfzbDTO {

    private String id;
    @ColumnWidth(20)
    @ExcelProperty(value = "信访指标",index = 1)
    private String xfzb;
    @ExcelProperty(value = "统计时段区间",index = 2)
    @ColumnWidth(14)
    private String tjsd;
    @ExcelProperty(value = "同比(%)",index = 3)
    @ColumnWidth(9)
    private String tb;
    @ExcelProperty( value = "占总比(%)",index = 4)
    @ColumnWidth(10)
    private String zb;
    @ExcelProperty(value = "当年累计",index = 5)
    @ColumnWidth(9)
    private String dnlj;
    @ExcelProperty(value = "同比(%)",index = 6)
    @ColumnWidth(10)
    private String dntb;
    @ExcelProperty(value = "占总比(%)",index = 7)
    @ColumnWidth(10)
    private String dnzb;

    public XfzbDTO() {
    }

    public XfzbDTO(String xfzb, String tjsd, String tb, String zb, String dnlj, String dntb ,String dnzb) {
        this.xfzb = xfzb;
        this.tjsd = tjsd;
        this.tb = tb;
        this.zb = zb;
        this.dnlj = dnlj;
        this.dntb = dntb;
        this.dnzb = dnzb;
    }
    public XfzbDTO(String tjsd, String tb, String zb, String dnlj, String dntb ,String dnzb) {
        this.tjsd = tjsd;
        this.tb = tb;
        this.zb = zb;
        this.dnlj = dnlj;
        this.dntb = dntb;
        this.dnzb = dnzb;
    }

    public XfzbDTO(String tjsd, String tb, String dnlj, String dntb) {
        this.tjsd = tjsd;
        this.tb = tb;
        this.dnlj = dnlj;
        this.dntb = dntb;
    }
}
