package com.dlsm.model.vo;

import com.dlsm.model.Matter;
import lombok.Data;

import java.util.List;

@Data
public class MatterVO  extends Matter {

    private  String objectName;
    private  String personID;
    private  Integer xfNumber;
    private String did;

    /**
     * activityId
     */
    private String aId;
    /**
     * 计算天数
     */
    private  Integer xcDay;

    /**
     * 回报反馈
     */
    private String solveCode;

    /**
     * 单位类型
     */
    private String type;

    /**
     * 业务节点id
     */
    private String businessID;

    /**
     *  计算活动对应登记条数
     */
    private Integer sum1=0;

    /**
     * 信访来访人员属地
     */
    private String domicile;
    /**
     * 信访来访人员属地Id
     */
    private String domicileID;

    /**
     * matter_a
     */
    private String matterA;

    /**
     * matter_b
     */
    private String matterB;

    /**
     * matter_relation：关系id
     */
    private String relationID;

    /**
     * 国家和地区字典编号
     */
    private String nationalityID;


    private Integer isAnswer;

    private Integer historyTime;


}
