package com.dlsm.service;


import com.dlsm.model.Dept;
import com.dlsm.model.vo.DeptVO;

import java.util.Date;
import java.util.LinkedList;
import java.util.List;
import java.util.Map;

/**
 * 单位管理Service接口
 *
 * @author xunfeng
 * @date 2022-03-03
 */

public interface DeptService {

    // 根据用户id查询单位
    public Dept selectDeptByUserId(String userId);

    // 根据用户id查询单位及本单位下一级
    public List<Dept> selectDeptByUserIdList(String userId);

    //根据事业单位id 查询单位及本单位下一级
    LinkedList<DeptVO> selectDeptByOrgId(String orgID);
}
