package com.dlsm.utils;

import java.text.NumberFormat;

public class CalculateUtils {
    /**
     * 除法
     *
     * @param v1 被除数     今年的数据
     * @param v2 除数      上一年的数据
     *
     * @return  占比
     */
    public static String makeUp(Integer v1, Integer v2) {
        String ratio = "";
        if (v2 <= 0) {
            return "0";
        } else {
            NumberFormat numberFormat = NumberFormat.getInstance();
            numberFormat.setMaximumFractionDigits(2);
            String result = numberFormat.format((float) v1 / (float) v2 * 100);
            return result;
        }
    }
    /**
     * 除法
     *
     * @param v1 被除数     今年的数据
     * @param v2 除数      上一年的数据
     *
     * @return  增(减) 20
     */
    public static String IncreaseDecreaseMakeUp(Integer v1, Integer v2) {
        String ratio = "";
        if (v1 == 0) {
            ratio="0";
            return ratio ;
        } else if(v2 == 0){
            ratio="100";
            return ratio ;
        }else {
            int differ = v1 - v2;
            NumberFormat numberFormat = NumberFormat.getInstance();
            numberFormat.setMaximumFractionDigits(2);
            String result = numberFormat.format((float) differ / (float) v2 * 100);
            if (result.substring(0,1).equals("-")) {
                double abs = Math.abs(Double.valueOf(result));
                ratio = "减少" + String.valueOf(abs) ;
                return ratio;
            } else {
                ratio = "增加" + result;
                return ratio;
            }
        }
    }
}
