package com.dlsm.utils.excel;

import com.alibaba.excel.EasyExcel;
import com.alibaba.excel.ExcelWriter;
import com.alibaba.excel.metadata.Head;
import com.alibaba.excel.metadata.data.WriteCellData;
import com.alibaba.excel.write.handler.CellWriteHandler;
import com.alibaba.excel.write.handler.context.CellWriteHandlerContext;
import com.alibaba.excel.write.metadata.WriteSheet;
import com.alibaba.excel.write.metadata.fill.FillConfig;
import com.alibaba.excel.write.metadata.holder.WriteSheetHolder;
import com.alibaba.excel.write.metadata.holder.WriteTableHolder;
import com.alibaba.excel.write.metadata.style.WriteCellStyle;
import com.alibaba.excel.write.style.HorizontalCellStyleStrategy;
import org.apache.poi.hssf.usermodel.HSSFCell;
import org.apache.poi.hssf.usermodel.HSSFCellStyle;
import org.apache.poi.hssf.usermodel.HSSFFont;
import org.apache.poi.hssf.usermodel.HSSFRow;
import org.apache.poi.ss.usermodel.Cell;
import org.apache.poi.ss.usermodel.CellStyle;
import org.apache.poi.ss.usermodel.Row;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: dzy
 * @Date: 2022/05/10/10:52
 * @Description:
 */
public class AhrdCellWriteHandler implements CellWriteHandler {

    @Override
    public void afterCellDispose(CellWriteHandlerContext context) {
        CellWriteHandler.super.afterCellDispose(context);
    }

    @Override
    public void afterCellDispose(WriteSheetHolder writeSheetHolder, WriteTableHolder writeTableHolder, List<WriteCellData<?>> cellDataList, Cell cell, Head head, Integer relativeRowIndex, Boolean isHead) {

        if (cell.getRowIndex() == 16 || cell.getRowIndex() == 20 ||cell.getRowIndex() == 24) {
            WriteCellData<?> writeCellData = cellDataList.get(0);
            int length = writeCellData.getStringValue().length();
            Row row = cell.getRow();
            if (length > 30 && length < 60) {
                row.setHeight((short) 540);
            }else if(length >= 60 && length < 90 ){
                row.setHeight((short) 820);
            }else if(length >= 90 && length < 120 ){
                row.setHeight((short) 1290);
            }else if(length >= 120 && length < 150 ){
                row.setHeight((short) 1560);
            }else if(length >= 150 && length < 200 ){
                row.setHeight((short) 1700);
            }else if(length >= 200 && length < 250 ){
                row.setHeight((short) 2200);
            }else if(length >= 250 && length < 300 ){
                row.setHeight((short) 2700);
            }
        }
        int columnIndex = cell.getRowIndex();
        System.out.println(columnIndex);
    }
}
