package com.dlsm.controller;

import com.dlsm.utils.Result;
import com.dlsm.model.LeadBehalf;
import com.dlsm.service.LeadBehalfService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

import java.text.ParseException;
import java.util.Map;

/**
 * 领导代表件情况Controller
 *
 * @author jinlei
 * @date 2022-03-18
 */
@CrossOrigin
@Controller
@RequestMapping("/LeadBehalf")
public class LeadBehalfController {

    @Autowired
    private LeadBehalfService leadBehalfService;


        /**
         * 领导代表件分析
         */
        @GetMapping("/LeadBehalf")
        @ResponseBody
        public Result LetterList(LeadBehalf LeadBehalf) throws ParseException {
            Map<Object, Object> map = leadBehalfService.LeadBehalfList(LeadBehalf);
            Result result = new Result();
            result.setData(map);
            return result;
        }

    /**
     *点击领导 代表   (初次， 重复 )
     */
    @GetMapping("/firstMore")
    @ResponseBody
    public Result firstMore(LeadBehalf LeadBehalf) throws ParseException {
        Map<Object, Object> map = leadBehalfService.FirstMore(LeadBehalf);
        Result result = new Result();
        result.setData(map);
        return result;
    }
}