package com.dlsm.mapper;


import com.dlsm.model.Dept;
import com.dlsm.model.vo.DeptVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.LinkedList;
import java.util.List;

/**
 * 单位管理Mapper接口
 *
 * @author xunfeng
 * @date 2022-03-02
 */
@Mapper
public interface DeptMapper {

    // 根据用户id查询单位
    public Dept selectDeptByUserId(String userId);

    // 根据用户id查询单位及本单位一下
    public List<Dept> selectDeptByUserIdList(String userId);

    Dept districtType(@Param("id") Integer id);

    List<Dept> selectDeptByIdList(@Param("deptID") Integer deptID);

    LinkedList<DeptVO> selectDeptByOrgId(String orgID);

    List<Dept> selectDeptByIdXzList(@Param("id") Integer id);


}
