package com.dlsm.mapper;


import com.dlsm.model.Dictionary;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * 字典值查询上一级属性
 */
@Mapper
public interface DictionaryMapper {

    /**
     *问题分类查询自己的基本信息
     * @param dictValue
     * @return
     */
    Dictionary DictionaryBasic(@Param("dictValue") String dictValue);

    /**
     * 根据状态码和字典值查询属性
     * @param dictValue
     * @return
     */
    Dictionary DictionaryOne(@Param("dictID") String dictID,@Param("dictValue") String dictValue);

    List<Dictionary> selectDictionaryByDictID(@Param("dictID") String dictID);
}
