package com.dlsm.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

@Data
public class Activity {

    /** 活动id */
    private String id;

    /** 信访来源 */
    private String xfSource;

    /** 信访来源编号 */
    private String xfSourceID;

    /** 信访性质 */
    private String xfNature;

    /** 信访性质编号 */
    private String xfNatureID;

    /** 信访类型 */
    private String xfType;

    /** 信访类型编号 */
    private String xfTypeID;

    /** 信访人数 */
    private Integer xfNumber;

    /** 信访登记类型 */
    private String registerType;

    /** 信访登记类型编号 */
    private String registerTypeID;

    /** 登记地点 */
    private String registerPlace;

    /** 登记地点编号 */
    private String registerPlaceID;

    /** 创建者 */
    private String createPerson;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 文字描述 */
    private String content;

    private String isAbnormal;

    private String abnormalID;

    /**  活动编号 */
    private String activityNum;

    private String orgName;

}
