package com.dlsm.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

public class LeadBehalf {

    /**登录的单位id*/
    private String  UserId;


    /**开始时间*/
    @DateTimeFormat(pattern ="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date startTime;

    /**结束时间*/
    @DateTimeFormat(pattern ="yyyy-MM-dd")
    @JsonFormat(pattern="yyyy-MM-dd",timezone = "GMT+8")
    private Date  endTime;



    /** 创建单位的多个*/
    private String  createOrgIDS;

    /** 创建单位Id*/
    private Integer  createOrgID;

    /**是否受理*/
    private  Integer isAccept;

    /** 人工判断是否受理*/
    private  Integer isAcceptPerson;


    /**1是人大，2审判机关，3检察机关，4纪检监察，0行政机关*/
    private Integer isRenDa;

    /**人大常委会代理机构设置为1*/
    private Integer agent;


    /**活动id*/
    private String activityID;


    /**信访来源编号*/
    private String  xfSource;
    /**单位名称 做打印单位用*/
    private String  orgName;

    public String getVisit() {
        return visit;
    }

    public void setVisit(String visit) {
        this.visit = visit;
    }

    public String getVisitID() {
        return visitID;
    }

    public void setVisitID(String visitID) {
        this.visitID = visitID;
    }

    /**信访来源编号 代码*/
    private String  xfSourceID;

    public String getUserId() {
        return UserId;
    }
    /**初重情况*/
    private  String visit;

    /**初重情况代码*/
    private  String visitID;

    /**1全国，2省，3市，4县*/
    private  Integer type;

    /**办理方式*/
    private  String handleModel;

    /**办理方式编号*/
    private  String handleModelID;
    /**去向单位*/
    private  String finalDisposal;
    /**去向单位编号 */
    private  Integer finalDisposalID;

    /**判断 初次 ，多次 1 领导  2 代表 (初重反映信访事项统计时id 是事项id)*/
    private String  id;
    /**信访登记类型*/
    private String  registerType;
    /**信访登记类型ID*/
    private String  registerTypeID;

    public void setUserId(String userId) {
        UserId = userId;
    }

    public Date getStartTime() {
        return startTime;
    }

    public void setStartTime(Date startTime) {
        this.startTime = startTime;
    }

    public Date getEndTime() {
        return endTime;
    }

    public void setEndTime(Date endTime) {
        this.endTime = endTime;
    }



    public Integer getCreateOrgID() {
        return createOrgID;
    }

    public void setCreateOrgID(Integer createOrgID) {
        this.createOrgID = createOrgID;
    }

    public Integer getIsAccept() {
        return isAccept;
    }

    public void setIsAccept(Integer isAccept) {
        this.isAccept = isAccept;
    }

    public Integer getIsAcceptPerson() {
        return isAcceptPerson;
    }

    public void setIsAcceptPerson(Integer isAcceptPerson) {
        this.isAcceptPerson = isAcceptPerson;
    }

    public Integer getIsRenDa() {
        return isRenDa;
    }

    public void setIsRenDa(Integer isRenDa) {
        this.isRenDa = isRenDa;
    }

    public Integer getAgent() {
        return agent;
    }

    public void setAgent(Integer agent) {
        this.agent = agent;
    }

    public String getActivityID() {
        return activityID;
    }

    public void setActivityID(String activityID) {
        this.activityID = activityID;
    }

    public String getXfSource() {
        return xfSource;
    }

    public void setXfSource(String xfSource) {
        this.xfSource = xfSource;
    }

    public String getXfSourceID() {
        return xfSourceID;
    }

    public void setXfSourceID(String xfSourceID) {
        this.xfSourceID = xfSourceID;
    }

    public String getCreateOrgIDS() {
        return createOrgIDS;
    }

    public void setCreateOrgIDS(String createOrgIDS) {
        this.createOrgIDS = createOrgIDS;
    }

    public Integer getType() {
        return type;
    }

    public void setType(Integer type) {
        this.type = type;
    }

    public String getHandleModel() {
        return handleModel;
    }

    public void setHandleModel(String handleModel) {
        this.handleModel = handleModel;
    }

    public String getHandleModelID() {
        return handleModelID;
    }

    public void setHandleModelID(String handleModelID) {
        this.handleModelID = handleModelID;
    }

    public String getFinalDisposal() {
        return finalDisposal;
    }

    public void setFinalDisposal(String finalDisposal) {
        this.finalDisposal = finalDisposal;
    }

    public Integer getFinalDisposalID() {
        return finalDisposalID;
    }

    public void setFinalDisposalID(Integer finalDisposalID) {
        this.finalDisposalID = finalDisposalID;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getRegisterType() {
        return registerType;
    }

    public void setRegisterType(String registerType) {
        this.registerType = registerType;
    }

    public String getRegisterTypeID() {
        return registerTypeID;
    }

    public void setRegisterTypeID(String registerTypeID) {
        this.registerTypeID = registerTypeID;
    }

    public String getOrgName() {
        return orgName;
    }

    public void setOrgName(String orgName) {
        this.orgName = orgName;
    }
}
