package com.dlsm.model;


/*
*
* 反应内容dto
* */
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Builder
@AllArgsConstructor
@NoArgsConstructor
@Data
public class ReflectContent {

    /** 名称 */
    private String name;

    /** 数量 */
    private Integer number;

    /** 占总量百分比 */
    private String zb;

    /** 占总量百分比同比 */
    private String zbTB;

    /** 占总量百分比环比 */
    private String zbHB;

    /** 占上级分类比例 */
    private String percentage;

    /** 占上级分类比例同比 */
    private String percentageTB;

    /** 占上级分类比例环比 */
    private String percentageHB;


}
