package com.dlsm.model.export;

import com.dlsm.model.Person;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;
import java.util.Date;
import java.util.List;

//
@Data
@NoArgsConstructor
@AllArgsConstructor
public class PersonExport extends Person {

//    开始时间
    @DateTimeFormat(pattern ="yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date startTime;

    //结束时间

    @DateTimeFormat(pattern = "yyyy-MM-dd")
    @JsonFormat(pattern = "yyyy-MM-dd",timezone = "GMT+8")
    private Date endTime;

    //登记单位列表
    private List<String> createOrgIds;

    //登记类型id
    private List<String> registerTypeIds;

    //打印单位

    private String orgName;

}
