package com.dlsm.model.vo;

import com.dlsm.model.Activity;
import lombok.Data;

import java.util.List;

/**
 * Created with IntelliJ IDEA.
 *
 * @Author: dzy
 * @Date: 2022/03/24/16:16
 * @Description:
 */
@Data
public class ActivityVO extends Activity{

    /**
     *  需要合并的导出列
     */
    private List<String> merge;
    /**
     *  不需要合并列
     */
    private List<String> alone;
    /**
     * 初重情况代码
     */
    private String visitID;
    /**
     * 创建单位Id
     */
    private String createOrgID;
    /**
     *  开始时间
     */
    private String startTime;
    /**
     *  结束时间
     */
    private String endTime;
    /**
     *  历年开始时间
     */
    private String orgStartTime;
    /**
     *  历年结束时间
     */
    private String orgEndTime;

    /**
     * 异常情况
     */
    private List<String> abnormalIDs;

    /**
     * 单位类别 1全国 2省 3市 4县
     */
    private String type;

    /**
     * 登记单位Id
     */
    private List<String> orgID;
}
