package com.dlsm.model.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import com.dlsm.model.Activity;
import lombok.Data;

import java.util.Date;

@Data
@HeadRowHeight(40)
@ContentRowHeight(60)
public class ActivityVO9 extends Activity {
    @ColumnWidth(8)
    @ExcelProperty("序号")
    private Integer index;

    @ColumnWidth(16)
    @ExcelProperty("信访活动编号")
    private String activity;

    @ColumnWidth(9)
    @ExcelProperty("首登记信访人姓名")
    private String name;

    @ColumnWidth(9)
    @ExcelProperty("联名人数")
    private Integer xfNumber1;

    @ColumnWidth(9)
    @ExcelProperty("来访人数")
    private Integer xfNumber2;

    @ColumnWidth(9)
    @ExcelProperty({"信访人户籍","本行政区内人数"})
    private Integer d_count;

    @ColumnWidth(8)
    @ExcelProperty({"信访人户籍","本行政区外的人数"})
    private Integer e_count;

    @ColumnWidth(8)
    @ExcelProperty({"信访人户籍","未标明人数"})
    private Integer c_count;

    @ColumnWidth(6)
    @ExcelProperty({"信访人户籍","境外人数"})
    private Integer b_count;


    private String nationalityID;

    private String profession;

    private String matterId;

    @ColumnWidth(15)
    @ExcelProperty("信访事项简称")
    private String  xfName;

    @ColumnWidth(9)
    @ExcelProperty("内容摘要")
    private String abstract1;

    @ColumnWidth(8)
    @ExcelProperty("信访问题所属地区")
    private String happenRegion;

    @ColumnWidth(7)
    @ExcelProperty("信访问题所属系统")
    private String belongs;

    @ColumnWidth(9)
    @ExcelProperty("初重信访反映")
    private String visit;

    private Date createTime1;

    @ColumnWidth(12)
    @ExcelProperty("登记时间")
    private String createTime2;

    private String regionAdmin;
}
