package com.dlsm.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

@AllArgsConstructor
@Data

//人员活动实体类
public class Activity_Person {

    private String id;
    private String personID;
    private String activityID;
    private Integer isMain;
    private Integer flay;
    private Integer isMainContact;
    private String subjectType;
    private String subjectTypeID;
    private String relationWithSubject;
    private String relationWithSubjectID;
    private String objectName;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date createTime;

    private String registerType;

    private String createOrg;

    private String createOrgId;

    private String registerTypeId;


}
