package com.dlsm.model.vo;

import com.dlsm.model.Person;
import com.dlsm.utils.StringUtils;
import lombok.Data;

import java.util.List;

/** 自定义导出参数
 * Created with IntelliJ IDEA.
 *
 * @Author: dzy
 * @Date: 2022/04/24/09:49
 * @Description:
 */
@Data
public class ZdyQuery {

    private List<String> merge;
    private List<String> alone;

    private String userId;
    private String type;
    private CustomQuery activity;
    private CustomQuery  matter;
    private CustomQuery person;
    private Boolean checkOrg  ;

    public void setCheckOrg() {
        if(activity == null && matter == null){
            this.checkOrg = true;
        }else if (activity != null && StringUtils.isEmpty(activity.getCreateOrgID()) && matter == null){
            this.checkOrg = true;
        }else if(activity == null  && matter != null && StringUtils.isEmpty(matter.getCreateOrgID())){
            this.checkOrg = true;
        }else if(activity != null && StringUtils.isEmpty(activity.getCreateOrgID()) && matter != null && StringUtils.isEmpty(matter.getCreateOrgID())){
            this.checkOrg = true;
        }else {
            this.checkOrg = false;
        }
    }

    public void setActivity(CustomQuery activity) {
        if(  CustomQuery.checkIsNull(activity)){
            this.activity= null;
        }else {
            this.activity = activity;
        }
    }

    public void setMatter(CustomQuery matter) {
        if(  CustomQuery.checkIsNull(matter)){
            this.matter= null;
        }else {
            this.matter = matter;
        }
    }

    public void setPerson(CustomQuery person) {
        if(  CustomQuery.checkIsNull(person)){
            this.person= null;
        }else {
            this.person = person;
        }
    }
}
